सामग्री पर जाएँ

Maya · Batch

इंटीग्रेट करें

मॉडल id maya/batch
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/maya/batch?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "texts": [
      "Hello from Doitong. This is a short test sentence."
    ],
    "prompts": [
      "Hello from Doitong. This is a short test sentence."
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.049 49 API क्रेडिट · ≈ ₽5.17 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Maya Research टेक्स्ट से स्पीच #text-to-speech#tts

Maya स्पीच का बैच संस्करण, जो मिलते-जुलते आवाज़ विवरणों के साथ अधिकतम 100 टेक्स्ट रेंडर करता है

Maya Research · ऑडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

Speech synthesis टेक्स्ट सूची, जिसमें किसी भी entry के भीतर embedded <emotion_name> tags का समर्थन है।

•आवश्यक

प्रत्येक टेक्स्ट के लिए voice या character attributes, जो विवरणों की सूची के रूप में दिए जाते हैं। विवरणों की संख्या टेक्स्ट की संख्या के बराबर होनी चाहिए।

उन्नत sample_rate · output_format · temperature · top_p · max_tokens · repetition_penalty · enable_safety_checker
sample_rate डिफ़ॉल्ट 48 kHz

प्रत्येक निर्माण के लिए साझा ऑडियो सैंपल-रेट सेटिंग, जिसमें 24 kHz पर तेज़ प्रोसेसिंग और 48 kHz पर बेहतर गुणवत्ता के बीच चयन किया जा सकता है।

output_format डिफ़ॉल्ट wav

प्रत्येक निर्मित वाक् रिकॉर्डिंग के लिए उपयोग किया जाने वाला फ़ाइल फ़ॉर्मैट।

डिफ़ॉल्ट 0.4

प्रत्येक निर्माण पर लागू किया गया sampling temperature।

डिफ़ॉल्ट 0.9

प्रत्येक निर्माण पर लागू की गई nucleus sampling सेटिंग।

डिफ़ॉल्ट 2000

प्रत्येक निर्माण के लिए SNAC टोकन की ऊपरी सीमा।

डिफ़ॉल्ट 1.1

प्रत्येक निर्माण पर लागू होने वाला पुनरावृत्ति दंड।

POST /run/maya/batch?wait=20 कोटेशन → $0.049
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/maya/batch?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "texts": [
      "Hello from Doitong. This is a short test sentence."
    ],
    "prompts": [
      "Hello from Doitong. This is a short test sentence."
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Maya · Batch के बारे में

एक अनुरोध में कई क्लिप सिंथेसाइज़ करता है। `texts` और `prompts` दोनों में 1 से 100 प्रविष्टियाँ हो सकती हैं और उनकी लंबाई समान होनी चाहिए, ताकि प्रत्येक टेक्स्ट का मिलान आवाज़ के विवरण से हो। भावना टैग प्रत्येक टेक्स्ट में काम करते हैं। सैंपल रेट, आउटपुट फ़ॉर्मैट और तापमान जैसी सेटिंग्स सभी पर लागू होती हैं, और परिणामों में ऑडियो फ़ाइलों व अवधि की सूची शामिल होती है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
textsआवश्यक
प्रकारstring[]
≤ 100 आइटम
Speech synthesis टेक्स्ट सूची, जिसमें किसी भी entry के भीतर embedded <emotion_name> tags का समर्थन है।
promptsआवश्यक
प्रकारstring[]
≤ 100 आइटम
प्रत्येक टेक्स्ट के लिए voice या character attributes, जो विवरणों की सूची के रूप में दिए जाते हैं। विवरणों की संख्या टेक्स्ट की संख्या के बराबर होनी चाहिए।
temperatureवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.4
0 – 2
प्रत्येक निर्माण पर लागू किया गया sampling temperature।
top_pवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.9
0 – 1
प्रत्येक निर्माण पर लागू की गई nucleus sampling सेटिंग।
max_tokensवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट2000
28 – 4,000
प्रत्येक निर्माण के लिए SNAC टोकन की ऊपरी सीमा।
repetition_penaltyवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1.1
1 – 2
प्रत्येक निर्माण पर लागू होने वाला पुनरावृत्ति दंड।
sample_rateवैकल्पिक
प्रकारenum
डिफ़ॉल्ट48 kHz
48 kHz24 kHz
प्रत्येक निर्माण के लिए साझा ऑडियो सैंपल-रेट सेटिंग, जिसमें 24 kHz पर तेज़ प्रोसेसिंग और 48 kHz पर बेहतर गुणवत्ता के बीच चयन किया जा सकता है।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टwav
wavmp3
प्रत्येक निर्मित वाक् रिकॉर्डिंग के लिए उपयोग किया जाने वाला फ़ाइल फ़ॉर्मैट।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "maya/batch",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 49,
    "usd": "0.049",
    "charged": 49,
    "refunded": 0
  },
  "input": {
    "texts": [
      "Hello from Doitong. This is a short test sentence."
    ],
    "prompts": [
      "Hello from Doitong. This is a short test sentence."
    ]
  },
  "output": {
    "audios": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
        "content_type": "audio/mpeg",
        "file_name": "0-output.mp3",
        "file_size": 1843200
      }
    ],
    "durations": [
      5
    ],
    "sample_rate": "48 kHz",
    "total_generation_time": 5.7,
    "average_rtf": 0.15
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
audios
array of object {url, content_type, file_name, file_size}निर्मित ऑडियो फ़ाइलें, सूची के रूप में लौटाई जाती हैं।
durations
array of numberप्रत्येक निर्मित ऑडियो रिकॉर्डिंग की लंबाई सेकंड में।
sample_rate
stringसभी निर्मित ऑडियो फ़ाइलों के लिए साझा सैंपलिंग दर।
total_generation_time
numberसभी ऑडियो फ़ाइलों के निर्माण का संयुक्त समय सेकंड में।
average_rtf
numberसभी निर्माणों में औसत रियल-टाइम फ़ैक्टर।

और मॉडल: टेक्स्ट से स्पीच

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/maya/batch.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt